"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toMilliseconds = exports.createTimer = void 0;
const process_1 = require("process");
function createTimer(hrTimeFn = process_1.hrtime) {
    let start = hrTimeFn();
    return {
        start() {
            start = hrTimeFn();
        },
        elapsed() {
            return toMilliseconds(hrTimeFn(start));
        },
    };
}
exports.createTimer = createTimer;
function toMilliseconds(t) {
    return (t[0] + t[1] * 1e-9) * 1000;
}
exports.toMilliseconds = toMilliseconds;
//# sourceMappingURL=timer.js.map